Subject: Re: MIB Dr. review for draft-ietf-ccamp-gmpls-lsr-mib-13.txt

From: [email-masked]
Date: Fri, 28 Apr 2006 16:54:43 -0400 (GMT-04:00)

-----Original Message-----
>From: "Thomas D. Nadeau" <[email-masked]>
>Sent: Apr 27, 2006 10:50 AM
>To: "<[email-masked]>" <[email-masked]>
>Cc: Adrian Farrel <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
>Subject: Re: MIB Dr. review for draft-ietf-ccamp-gmpls-lsr-mib-13.txt
>
>
>	One question below.
>
>> Hello Tom and Adrian,
>>
>>
>> All MIBs compile with smilint and smicngPRO.
>>
>> Here are my few comments:
>>
>> draft-ietf-ccamp-gmpls-lsr-mib-13.txt
>>
>> (#1 should be taken care of the others are NITs and
>> could probably be fixed by RFC Editor if you so choose.)
>>
>> 1)  Think this was probably a place holder...but
>> please just remove this:
>>
>>      OBJECT       gmplsLabelRowStatus
>>      SYNTAX       RowStatus { active(1), notInService(2) }
>>      WRITE-SYNTAX RowStatus { active(1), notInService(2),
>>                               createAndGo(4), destroy(6) }
>>      DESCRIPTION
>>        "TDN QUestion"
>
>	Thanks for catching this. I remember why I left this.
>I was confused by your comments on this, which were:
>>>>> 9) Full Compliance:
>>>>>
>>>>>      OBJECT       gmplsLabelRowStatus
>>>>>      SYNTAX       RowStatus { active(1), notInService(2) }
>>>>>      WRITE-SYNTAX RowStatus { active(1), notInService(2),
>>>>>                               createAndGo(4), destroy(6) }
>>>>>      DESCRIPTION
>>>>>        "Support for createAndWait and notReady is not required."
>>>>>
>>>>>
>>>>> Would remove this.
>>>>>
>>>>
>>>> The description or the entire object?
>>>>
>>>
>>> Presumably the Description limitation based on the text below.
>>>
>>>
>>>>> Based on the
>>>>> gmplsLabelRowStatus object's DESCRIPTION
>>>>> believe you should allow createAndWait and also
>>>>> Agent could/should be able to report notReady.
>
>	Based on what is listed in RFC3813, for example,
>we have the following:
>
>    OBJECT       mplsInSegmentRowStatus
>    SYNTAX       RowStatus { active(1), notInService(2) }
>    WRITE-SYNTAX RowStatus { active(1), notInService(2),
>                             createAndGo(4), destroy(6)
>                           }
>    DESCRIPTION "Support for createAndWait and notReady is
>                 not required."
>
>	I guess I am looking for some explicit instruction on
>what you would like to see in the DESCRIPTION for the
>gmplsLabelRowStatus in the FullCompliance statement.

Hi Tom,

The above DESCRIPTION is okay.  Or (my preference) would be to
remove the entire object because think that you need CreateAndWait
based on how the object is used.  

-Joan

>
>> 2) NIT
>>
>>          January 2003;
>>         "
>>
>> Please change this to:
>>
>>
>>             January 2003."
>>
>>
>> 3) Informative References
>>
>> NIT:
>>
>> Change the order so references are in
>> ascending order:
>>
>> Current order is:
>>
>>    [RFC3472]
>>
>>
>>    [RFC3468]
>>
>> change to:
>>
>>    [RFC3468]
>>
>>    [RFC3472]
>>
>>
>> NIT:
>> Fix reference:
>>
>> Current:
>>    [RFC3468]    Andersson, L., Swallow, G., "The Multiprotocol Label
>>                 Switching (MPLS) Working Group decision on MPLS
>>                 signaling protocols", RFC 3468, February 2003.
>>
>> Should be:
>>
>>    [RFC3468]    Andersson, L. and G. Swallow, "The Multiprotocol Label
>>
>>
>> -- end --
>
>	OK, fixed the above nits.
>
>	--Tom
>
>